Bug 472127 - RFE: make "tmpfs" available to anaconda as possible fs type
RFE: make "tmpfs" available to anaconda as possible fs type
Product: Fedora
Classification: Fedora
Component: python-blivet (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Kolman
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks: AnacondaStorage
  Show dependency treegraph
Reported: 2008-11-18 16:03 EST by Jason Farrell
Modified: 2014-04-14 12:37 EDT (History)
7 users (show)

See Also:
Fixed In Version: python-blivet-0.18.10-1
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-04-14 12:37:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jason Farrell 2008-11-18 16:03:27 EST
It is often desirable to have /tmp, /var/tmp, and other temporary file systems mounted on a "tmpfs" ramdisk rather than the actual disk, but presently this can't be setup in the anaconda installer, and /etc/fstab must still be edited post-install.
Comment 1 Matěj Cepl 2008-11-28 12:47:21 EST
There is nothing to triage here.

Switching to ASSIGNED so that developers have responsibility to do whatever they want to do with it.
Comment 2 Paul Wouters 2009-01-27 23:11:50 EST
Indeed, this would be nice to have. It now has to be done using firstboot.

as a side note, I wish we could also tmpfs mount /var/run, but a lot of
packages fail to deal with this and just assume "their" directory exist in
Comment 3 Sebastian Krämer 2011-05-25 07:04:19 EDT
This bug should be upped! I had /tmp as tmpfs in my fstab and the anaconda F15 install failed completely (until I managed to make that line ineffective) with:

An error occured mounting device tmpfs as /tmp: mount failed (-2, None). This is a fatal error and the install cannot continue.

Well, not mounting /tmp would have been ok too.. Also, not having /home mounted does work (/is supported).

Please, this is a real bug in anaconda and not just a "FutureFeature"! Or should this be filed as a new bug? Advice welcome.

@Paul: I think /var/run with tmpfs is supported now in F15..?
Comment 4 Sebastian Krämer 2011-05-25 07:14:43 EDT
I see now that this is the wrong bug to report my problem. About failure of /tmp as tmpfs see bug 683434.
Comment 5 Martin Kolman 2014-04-14 12:37:59 EDT
Implemented in the Fedora 20 timeframe.

Note You need to log in before you can comment on or make changes to this bug.